---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libiterinstcls004.dylib'
relocations:
  - { offsetInCU: 0x5E, offset: 0x5E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x2250, symSize: 0x2A0 }
  - { offsetInCU: 0xAD4, offset: 0xAD4, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50140, symBinAddr: 0x71F0, symSize: 0x0 }
  - { offsetInCU: 0xAFB, offset: 0xAFB, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52080, symBinAddr: 0x9130, symSize: 0x0 }
  - { offsetInCU: 0xB1D, offset: 0xB1D, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52470, symBinAddr: 0x9520, symSize: 0x0 }
  - { offsetInCU: 0xB3F, offset: 0xB3F, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53410, symBinAddr: 0xA4C0, symSize: 0x0 }
  - { offsetInCU: 0xB54, offset: 0xB54, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53420, symBinAddr: 0xA4D0, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4FDB0, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xBDA, offset: 0xBDA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4FDB4, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0xBE5, offset: 0xBE5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4FDB8, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0xC2A, offset: 0xC2A, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FF00, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xCA3, offset: 0xCA3, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FFB8, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0xCC1, offset: 0xCC1, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FFBC, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0xCDA, offset: 0xCDA, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FFC0, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0xCF3, offset: 0xCF3, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FFC4, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0xD0C, offset: 0xD0C, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FFC8, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x92FB, offset: 0x92FB, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FFD0, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x9384, offset: 0x9384, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4FFE0, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x939D, offset: 0x939D, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FFE8, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x93B6, offset: 0x93B6, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FFF0, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x93CF, offset: 0x93CF, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FFF8, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x93E8, offset: 0x93E8, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50000, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x9402, offset: 0x9402, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50008, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x94E8, offset: 0x94E8, size: 0x8, addend: 0x0, symName: __ZL11objectCount, symObjAddr: 0x50050, symBinAddr: 0x71C0, symSize: 0x0 }
  - { offsetInCU: 0x9501, offset: 0x9501, size: 0x8, addend: 0x0, symName: __ZL8st_jvmti, symObjAddr: 0x50058, symBinAddr: 0x71C8, symSize: 0x0 }
  - { offsetInCU: 0x951A, offset: 0x951A, size: 0x8, addend: 0x0, symName: __ZL13objectDescBuf, symObjAddr: 0x50060, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x9565, offset: 0x9565, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x50068, symBinAddr: 0x71D8, symSize: 0x0 }
  - { offsetInCU: 0x957E, offset: 0x957E, size: 0x8, addend: 0x0, symName: __ZL21debugeeClassSignature, symObjAddr: 0xE320, symBinAddr: 0x5D10, symSize: 0x0 }
  - { offsetInCU: 0x9597, offset: 0x9597, size: 0x8, addend: 0x0, symName: __ZL8userData, symObjAddr: 0x500A4, symBinAddr: 0x71E4, symSize: 0x0 }
  - { offsetInCU: 0x95E9, offset: 0x95E9, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xED0, symSize: 0x80 }
  - { offsetInCU: 0x967E, offset: 0x967E, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xE20, symSize: 0xB0 }
  - { offsetInCU: 0x96D9, offset: 0x96D9, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xD20, symSize: 0x100 }
  - { offsetInCU: 0x996C, offset: 0x996C, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xF50, symSize: 0xC0 }
  - { offsetInCU: 0x99BE, offset: 0x99BE, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1010, symSize: 0x220 }
  - { offsetInCU: 0x9BA3, offset: 0x9BA3, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1230, symSize: 0xA0 }
  - { offsetInCU: 0x9C56, offset: 0x9C56, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x12D0, symSize: 0x110 }
  - { offsetInCU: 0x9D4C, offset: 0x9D4C, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x13E0, symSize: 0x150 }
  - { offsetInCU: 0x9EA9, offset: 0x9EA9, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1530, symSize: 0x30 }
  - { offsetInCU: 0x9F52, offset: 0x9F52, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1560, symSize: 0x150 }
  - { offsetInCU: 0xA14A, offset: 0xA14A, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x16B0, symSize: 0x160 }
  - { offsetInCU: 0xA40A, offset: 0xA40A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1810, symSize: 0x4A0 }
  - { offsetInCU: 0xA67D, offset: 0xA67D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1CB0, symSize: 0x1B0 }
  - { offsetInCU: 0xA898, offset: 0xA898, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1E60, symSize: 0xA0 }
  - { offsetInCU: 0xA993, offset: 0xA993, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1F00, symSize: 0x20 }
  - { offsetInCU: 0xA9CA, offset: 0xA9CA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1F20, symSize: 0x20 }
  - { offsetInCU: 0xAA01, offset: 0xAA01, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1F40, symSize: 0x20 }
  - { offsetInCU: 0xAB70, offset: 0xAB70, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1F60, symSize: 0x1A0 }
  - { offsetInCU: 0xAE8C, offset: 0xAE8C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x2100, symSize: 0x150 }
  - { offsetInCU: 0xB049, offset: 0xB049, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x24F0, symSize: 0x1D0 }
  - { offsetInCU: 0xB345, offset: 0xB345, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x26C0, symSize: 0x80 }
  - { offsetInCU: 0xB40E, offset: 0xB40E, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2740, symSize: 0x6C0 }
  - { offsetInCU: 0xBF84, offset: 0xBF84, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA3D0, symBinAddr: 0x3F80, symSize: 0xB0 }
  - { offsetInCU: 0xBFFB, offset: 0xBFFB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2E00, symSize: 0x70 }
  - { offsetInCU: 0xC0FB, offset: 0xC0FB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_classBySignature, symObjAddr: 0x45A0, symBinAddr: 0x2E70, symSize: 0x3B0 }
  - { offsetInCU: 0xC573, offset: 0xC573, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x3220, symSize: 0xA0 }
  - { offsetInCU: 0xC652, offset: 0xC652, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x32C0, symSize: 0x40 }
  - { offsetInCU: 0xC748, offset: 0xC748, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x3300, symSize: 0x2B0 }
  - { offsetInCU: 0xCAEE, offset: 0xCAEE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x35B0, symSize: 0xC0 }
  - { offsetInCU: 0xCC34, offset: 0xCC34, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3670, symSize: 0x10 }
  - { offsetInCU: 0xCCF6, offset: 0xCCF6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3680, symSize: 0x240 }
  - { offsetInCU: 0xCFDF, offset: 0xCFDF, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x38C0, symSize: 0x10 }
  - { offsetInCU: 0xD03C, offset: 0xD03C, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x38D0, symSize: 0x1F0 }
  - { offsetInCU: 0xD29F, offset: 0xD29F, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F10, symBinAddr: 0x3AC0, symSize: 0x10 }
  - { offsetInCU: 0xD2FC, offset: 0xD2FC, size: 0x8, addend: 0x0, symName: _heapObjectCallback1, symObjAddr: 0x9F20, symBinAddr: 0x3AD0, symSize: 0xF0 }
  - { offsetInCU: 0xD3FC, offset: 0xD3FC, size: 0x8, addend: 0x0, symName: _heapObjectCallback2, symObjAddr: 0xA010, symBinAddr: 0x3BC0, symSize: 0xC0 }
  - { offsetInCU: 0xD52B, offset: 0xD52B, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA0D0, symBinAddr: 0x3C80, symSize: 0x300 }
  - { offsetInCU: 0xD86A, offset: 0xD86A, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA480, symBinAddr: 0x4030, symSize: 0x36A }
...
